## python-aioitertools 0.11.0

=== requirements.txt ===
typing_extensions>=4.0;python_version<"3.10"

=== debian/changelog ===
python-aioitertools (0.11.0-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Jul 2024 20:16:35 +0100

python-aioitertools (0.11.0-1) unstable; urgency=medium

  * Initial upload (closes: #1073490)

 -- Julian Gilbey <jdg@debian.org>  Mon, 01 Jul 2024 06:49:55 +0100

=== debian/control ===
Source: python-aioitertools
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Section: python
Priority: optional
Standards-Version: 4.7.0
Homepage: https://github.com/omnilib/aioitertools
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               flit,
               pybuild-plugin-pyproject,
               python3-all,
               python3-doc <!nodoc>,
               python3-sphinx,
               python3-sphinx-mdinclude <!nodoc>
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aioitertools.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aioitertools
Rules-Requires-Root: no
Description: Python itertools, builtins and more for AsyncIO
 This Python module shadows the standard library whenever possible to
 provide asynchronous versions of itertools, builtins and other familiar
 functions.  It's fully compatible with standard iterators and async
 iterators alike, providing a single unified, familiar interface for
 interacting with iterable objects.

Package: python3-aioitertools
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Multi-Arch: foreign
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package provides the Python library.

Package: python-aioitertools-doc
Architecture: all
Section: doc
Depends: fonts-font-awesome,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-sphinxemoji
Multi-Arch: foreign
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains HTML documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME = aioitertools

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$$(pwd) sphinx-build -W -b html docs docs/_build/html
endif

override_dh_installdocs:
	dh_installdocs -ppython-$(PYBUILD_NAME)-doc --doc-main-package=python3-$(PYBUILD_NAME)
	dh_installdocs --remaining-packages

override_dh_compress:
	dh_compress -ppython-$(PYBUILD_NAME)-doc -X.html
	dh_compress --remaining-packages

execute_after_dh_auto_clean:
	rm -rf docs/_build

## python-aioitertools 0.12.0

=== debian/changelog ===
python-aioitertools (0.12.0-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Wed, 20 Nov 2024 18:34:21 +0000

python-aioitertools (0.11.0-3) UNRELEASED; urgency=medium

  * Fix DEP-3 headers, forwarding a patch upstream

 -- Julian Gilbey <jdg@debian.org>  Mon, 26 Aug 2024 21:10:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Homepage: https://github.com/omnilib/aioitertools
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                flit,
                pybuild-plugin-pyproject,
                python3-all,
                python3-doc <!nodoc>,
-               python3-sphinx,
+               python3-sphinx <!nodoc>,
                python3-sphinx-mdinclude <!nodoc>
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aioitertools.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME = aioitertools
 
 %:
-	dh $@ --with=sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 execute_after_dh_auto_build:

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/omnilib/aioitertools/tags?per_page=100 \
    https://api.github.com/repos/omnilib/aioitertools/tarball/refs/tags/@ANY_VERSION@
